//---------------------------------------------------------------------------
#include <vcl.h>
#pragma hdrstop
USERES("dMandelbrotClient.res");
USEFORM("dMandelbrotC.cpp", ImageWin);
USEFORM("Unit1.cpp", ControlWin);
USEFORM("ServerWindow.cpp", ServerWin);
USEUNIT("ServerThread.cpp");
USEUNIT("ServerPool.cpp");
USEFORM("AboutWindow.cpp", AboutWin);
//---------------------------------------------------------------------------
WINAPI WinMain(HINSTANCE, HINSTANCE, LPSTR, int)
{
    try
    {
        Application->Initialize();
        Application->CreateForm(__classid(TImageWin), &ImageWin);
        Application->CreateForm(__classid(TControlWin), &ControlWin);
        Application->CreateForm(__classid(TServerWin), &ServerWin);
        Application->CreateForm(__classid(TAboutWin), &AboutWin);
        Application->Run();
    }
    catch (Exception &exception)
    {
        Application->ShowException(&exception);
    }
    return 0;
}
//---------------------------------------------------------------------------
